# Class JukesCantor

java.lang.Object
jebl.evolution.align.scores.Scores
jebl.evolution.align.scores.NucleotideScores
jebl.evolution.align.scores.JukesCantor

All Implemented Interfaces:
  `ScoreMatrix`

public class JukesCantor extends NucleotideScores
Jukes Cantor assumes equal substitution frequencies and equal nucleotide equilibrium frequencies.

Version:
  $Id: JukesCantor.java 319 2006-05-04 00:16:20Z matt_kearse $
Author:
  Richard Moir

## Field Summary

### Fields inherited from class NucleotideScores

`CLUSTALW, IUB`

### Fields inherited from class Scores

`score`

## Constructor Summary

Constructors
Constructor
Description
`JukesCantor(float d)`

## Method Summary

### Methods inherited from class NucleotideScores

`getAlphabet, getName, toString`

### Methods inherited from class Scores

`duplicate, forMatrix, getMatrixString, getScore, includeAdditionalCharacters, includeGaps`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JukesCantor

public JukesCantor(float d)

Parameters:
  `d` - evolutionary distance used to calculate values